curl -X GET "https://api.leavo.ai/backend/leads?limit=10" \
-H "Authorization: Bearer sua_chave_aqui"
const response = await fetch('https://api.leavo.ai/backend/leads?limit=10', {
headers: {
'Authorization': 'Bearer sua_chave_aqui'
}
});
const leads = await response.json();
import requests
response = requests.get(
'https://api.leavo.ai/backend/leads',
params={'limit': 10},
headers={'Authorization': 'Bearer sua_chave_aqui'}
)
leads = response.json()
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "João Silva",
"email": "joao@exemplo.com",
"phone": "+5511999999999",
"company": "Empresa XYZ",
"status_id": "770e8400-e29b-41d4-a716-446655440000",
"status": {
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Novo",
"description": "Lead novo",
"color": "#007bff",
"default": true
},
"tags": [
{
"id": "880e8400-e29b-41d4-a716-446655440000",
"name": "VIP",
"color": "#ffc107"
}
],
"session_id": "990e8400-e29b-41d4-a716-446655440000",
"session_status": "active",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
]
Leads
Listar Leads
Retorna uma lista de todos os leads
GET
/
backend
/
leads
curl -X GET "https://api.leavo.ai/backend/leads?limit=10" \
-H "Authorization: Bearer sua_chave_aqui"
const response = await fetch('https://api.leavo.ai/backend/leads?limit=10', {
headers: {
'Authorization': 'Bearer sua_chave_aqui'
}
});
const leads = await response.json();
import requests
response = requests.get(
'https://api.leavo.ai/backend/leads',
params={'limit': 10},
headers={'Authorization': 'Bearer sua_chave_aqui'}
)
leads = response.json()
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "João Silva",
"email": "joao@exemplo.com",
"phone": "+5511999999999",
"company": "Empresa XYZ",
"status_id": "770e8400-e29b-41d4-a716-446655440000",
"status": {
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Novo",
"description": "Lead novo",
"color": "#007bff",
"default": true
},
"tags": [
{
"id": "880e8400-e29b-41d4-a716-446655440000",
"name": "VIP",
"color": "#ffc107"
}
],
"session_id": "990e8400-e29b-41d4-a716-446655440000",
"session_status": "active",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
]
Request
integer
padrão:"50"
Número máximo de leads a retornar
integer
padrão:"0"
Número de leads a pular (para paginação)
string
Buscar por nome, email ou telefone
string
Filtrar por ID do status
Response
Lead[]
Lista de leads
Mostrar Propriedades do Lead
Mostrar Propriedades do Lead
string
UUID único do lead
string
UUID do tenant
string
Nome completo
string
Email do lead
string
Telefone do lead
string
Empresa do lead
string
ID do status atual
object
Objeto do status com id, name, color
array
Lista de tags associadas
string
ID da sessão ativa (se houver)
string
Status da sessão:
active, inactivestring
Data de criação (ISO 8601)
string
Data da última atualização (ISO 8601)
curl -X GET "https://api.leavo.ai/backend/leads?limit=10" \
-H "Authorization: Bearer sua_chave_aqui"
const response = await fetch('https://api.leavo.ai/backend/leads?limit=10', {
headers: {
'Authorization': 'Bearer sua_chave_aqui'
}
});
const leads = await response.json();
import requests
response = requests.get(
'https://api.leavo.ai/backend/leads',
params={'limit': 10},
headers={'Authorization': 'Bearer sua_chave_aqui'}
)
leads = response.json()
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "João Silva",
"email": "joao@exemplo.com",
"phone": "+5511999999999",
"company": "Empresa XYZ",
"status_id": "770e8400-e29b-41d4-a716-446655440000",
"status": {
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Novo",
"description": "Lead novo",
"color": "#007bff",
"default": true
},
"tags": [
{
"id": "880e8400-e29b-41d4-a716-446655440000",
"name": "VIP",
"color": "#ffc107"
}
],
"session_id": "990e8400-e29b-41d4-a716-446655440000",
"session_status": "active",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
]
⌘I